%define major   3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           vmaf
Version:        3.0.0
Release:        %mkrel 1
Summary:        Video Multi-Method Assessment Fusion
License:        BSD-2-Clause-Patent AND BSD-3-Clause
Group:          Video/Editors and Converters
URL:            https://github.com/Netflix/vmaf
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  doxygen
BuildRequires:  nasm
BuildRequires:  vim-common

Provides:       bundled(libsvm) = 3.24

%description
VMAF is a perceptual video quality assessment algorithm developed by
Netflix. VMAF Development Kit (VDK) is a software package that contains
the VMAF algorithm implementation, as well as a set of tools that allows
a user to train and test a custom VMAF model. For an overview, read this
tech blog post, or this slide deck.

%package -n %{libname}
Summary:        Video Multi-Method Assessment Fusion
Group:          System/Libraries

%description -n %{libname}
VMAF is a perceptual video quality assessment algorithm developed by
Netflix. VMAF Development Kit (VDK) is a software package that contains
the VMAF algorithm implementation, as well as a set of tools that allows
a user to train and test a custom VMAF model. For an overview, read this
tech blog post, or this slide deck.

%package -n %{devname}
Summary:        Development tools for Video Multi-Method Assessment Fusion
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

# Unbundle
rm -rf third_party

%build
pushd libvmaf
%meson -D built_in_models=true \
       -D enable_float=true \
       -D default_library=shared
%meson_build
popd

%install
pushd libvmaf
%meson_install
popd

%files
%doc README.md
%{_bindir}/vmaf

%files -n %{libname}
%license LICENSE
%{_libdir}/libvmaf.so.%{major}{,.*}

%files -n %{devname}
%license LICENSE
%doc CONTRIBUTING.md
%{_includedir}/libvmaf/
%{_libdir}/libvmaf.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jul 17 2024 daviddavid <daviddavid> 3.0.0-1.mga10
+ Revision: 2081933
- initial package vmaf

